/*
 * Copyright 2025 Sony Corporation
 */

#include <stdio.h>
#include <command.h>
#include <debug_impl.h>
#include <first_api_level.h>

int add_first_api_level_to_bootargs(cmd_tbl_t *cmdtp, int flag, int argc, char * const argv[])
{
	int ret = -1;

	ret = add_first_api_level_bootargs();
	if (ret != 0) {
		UBOOT_ERROR("failed to first_api_leveli to bootargs.\n");
		return CMD_RET_FAILURE;
	}
	return CMD_RET_SUCCESS;
}

U_BOOT_CMD(
	first_api_level, CONFIG_SYS_MAXARGS, 1, add_first_api_level_to_bootargs,
	"first_api_level - read and set first_api_level to android.boot prop\n",
	NULL
);

